summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author D Woodfall <dave@slackbuilds.org>2023-04-29 08:04:46 +0200
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-29 18:11:53 +0700
commit13ebbb8cb7fb78f171adea8fedb11acc7e86c054 (patch)
treec9bcf43c219f0a7f7d3917d124083c1a3530822b
parent823d0c8b4fea1f0dc71b175e73aeacc18f035806 (diff)
downloadslackbuilds-13ebbb8cb7fb78f171adea8fedb11acc7e86c054.tar.gz
slackbuilds-13ebbb8cb7fb78f171adea8fedb11acc7e86c054.tar.xz
network/addrwatch: Added (arp traffic montor).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/addrwatch/README17
-rw-r--r--network/addrwatch/addrwatch.SlackBuild99
-rw-r--r--network/addrwatch/addrwatch.info10
-rw-r--r--network/addrwatch/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/network/addrwatch/README b/network/addrwatch/README
new file mode 100644
index 0000000000..e8375ae2e7
--- /dev/null
+++ b/network/addrwatch/README
@@ -0,0 +1,17 @@
+addrwatch (arp traffic montor)
+
+This is a tool similar to arpwatch. It main purpose is to monitor a
+network and log discovered ethernet/ip pairings.
+
+Main features of addrwatch:
+
+* IPv4 and IPv6 address monitoring
+* Monitoring multiple network interfaces with one daemon
+* Monitoring of VLAN tagged (802.1Q) packets.
+* Output to stdout, plain text file, syslog, sqlite3 db, MySQL db
+* IP address usage history preserving output/logging
+
+NOTE:
+
+There is a disparity between features listed in the manual and via
+--help.
diff --git a/network/addrwatch/addrwatch.SlackBuild b/network/addrwatch/addrwatch.SlackBuild
new file mode 100644
index 0000000000..773ab622cf
--- /dev/null
+++ b/network/addrwatch/addrwatch.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for addrwatch
+
+# By Dave Woodfall <dave@slackbuilds.org>
+# Licensed under the WTFPL (http://www.wtfpl.net)
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=addrwatch
+VERSION=${VERSION:-1.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./bootstrap.sh
+
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/sbin \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-sqlite3 \
+ --enable-mysql \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS *.md scripts $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod -c -x $PKG/usr/doc/$PRGNAM-$VERSION/scripts/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/addrwatch/addrwatch.info b/network/addrwatch/addrwatch.info
new file mode 100644
index 0000000000..ae34ce3ad3
--- /dev/null
+++ b/network/addrwatch/addrwatch.info
@@ -0,0 +1,10 @@
+PRGNAM="addrwatch"
+VERSION="1.0.2"
+HOMEPAGE="https://github.com/fln/addrwatch"
+DOWNLOAD="https://github.com/fln/addrwatch/archive/v1.0.2/addrwatch-1.0.2.tar.gz"
+MD5SUM="ae0262fbf4ecc42ebc7d5cec6d0ad05d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="D Woodfall"
+EMAIL="dave@slackbuilds.org"
diff --git a/network/addrwatch/slack-desc b/network/addrwatch/slack-desc
new file mode 100644
index 0000000000..3f48b186b1
--- /dev/null
+++ b/network/addrwatch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+addrwatch: addrwatch (arp traffic montor)
+addrwatch:
+addrwatch: Main features of addrwatch:
+addrwatch:
+addrwatch: * IPv4 and IPv6 address monitoring
+addrwatch: * Monitoring multiple network interfaces with one daemon
+addrwatch: * Monitoring of VLAN tagged (802.1Q) packets.
+addrwatch: * Output to stdout, plain text file, syslog, sqlite3 db, MySQL db
+addrwatch: * IP address usage history preserving output/logging
+addrwatch:
+addrwatch: https://github.com/fln/addrwatch